Loading...
Searching...
No Matches
xtea.h File Reference

Public header for libavutil XTEA algorithm. More...

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | AVXTEA

## Functions

AVXTEA * | av_xtea_alloc (void)
| Allocate an AVXTEA context.
void | av_xtea_init (struct AVXTEA *ctx, const uint8_t key[16])
| Initialize an AVXTEA context.
void | av_xtea_le_init (struct AVXTEA *ctx, const uint8_t key[16])
| Initialize an AVXTEA context.
void | av_xtea_crypt (struct AVXTEA *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context, in big endian format.
void | av_xtea_le_crypt (struct AVXTEA *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context, in little endian format.

## Detailed Description

Public header for libavutil XTEA algorithm.

Definition in file xtea.h.